
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>前端框架现状调查：66% 受访者使用 Sass / iVAN</title>

    <meta name="description" content="前端框架现状调查：66% 受访者使用 Sass Ashley Nolan 是来自英国食品速递公司 JUST EAT 的一名资深 Web UI 工程师.为了了解整个前端开发社区当前的知识和使用水平,他发起了一个面向前端开发人员的调查,问题涉及CSS.&quot;任务执行器(Task Runner)&quot;.JavaScript等方面.前期,他收到了649份回复.近日,参与者数量达到了1044.因此,他重新修正了前期的统计分析结果,不过总体而言变化不大. 在 Ashley 的调查中,有 2 个问题是关于 CSS 预处理\后处理工具的.调查显示 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">前端框架现状调查：66% 受访者使用 Sass</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Ashley Nolan 是来自英国食品速递公司 JUST EAT 的一名资深 Web UI 工程师。为了了解整个前端开发社区当前的知识和使用水平，他发起了一个面向前端开发人员的调查，问题涉及CSS、“任务执行器（Task Runner）”、JavaScript等方面。前期，他收到了649份回复。近日，参与者数量达到了1044。因此，他重新修正了前期的统计分析结果，不过总体而言变化不大。</p>
<p>在 Ashley 的调查中，有 2 个问题是关于 CSS 预处理\后处理工具的。调查显示，使用 Sass 作为 CSS 预处理工具的受访者最多，占66%，使用 Less 的次之，占 13.41%，还有一小部分受访者（4.21%）使用 Stylus。另外，有 13.5% 的受访者在编写 CSS 时不使用任何 CSS 预处理工具。对于后处理工具 PostCSS 和 Rework，能够“熟练使用（Feel Comfortable Using）”的受访者比较少，前者为 8.91%，而后者仅有 0.86%。特别是 Rework，有 75% 的受访者都没有听说过。Ashley 认为，这反映出 CSS 后处理对前端开发人员而言是一个非常新的领域。</p>
<p>有 4 个问题同 JavaScript 有关，涉及 JavaScript 库和框架、模块打包器及测试等三个方面。在有关前端开发者当前 JavaScript 知识水平的调查中，不出所料，能够熟练使用 jQuery 的受访者最多，比例高达 91.5%，远远高于其它框架，而且没有人不知道这个框架。能够熟练使用 Underscore、AngularJS、Backbone、React 等框架的受访者也比较多，比例分别为38.6、28.5%、18.6%、15.7%。Ember、Polymer、Knockout 等框架也可以说是广为人知，但能够熟练使用的受访者占比仅为个位数。关于 JavaScript 库，Ashley 后来追加了一个问题，“在大多数项目中，你使用什么 JavaScript 库或框架？”jQuery 以极大的优势成为使用最多的框架，占比为 56.53%，AngularJS 排名第二，占比为 15.42%，其它框架占比均低于 10%。值得一提的是 Backbone，仅占 2.36%。另外，有 11.13% 的受访者不使用任何 JS 框架，他们仅使用 本地 JS。</p>
<p>谈及 JavaScript 模块打包器，总共有将近一半（48.47%）的受访者使用模块打包器管理管理 JavaScript 中的依赖关系，其中 17.7% 的使用 Browserify，13.6% 的使用 RequireJS，11.5% 的使用 Webpack。在 JavaScript 测试方面，58.91% 的受访者不使用任何工具辅助 JavaScript 测试。在受访者使用的 JavaScript 测试工具中，Mocha 和 Jasmine 使用最多，占比分别为 15.42% 和 15.23%。</p>
<p>另外，Ashley 还调查了“任务执行器（Task Runner）”的使用情况。从 NPM 的下载统计看，Grunt 和 Gulp 的每月下载量相差不大，一个为145万次，一个为134万次。但调查结果多少有些出人意料，46.74% 的受访者更喜欢使用 Gulp，而Grunt 的这一数据仅为 26.25%。此外，17.2% 受访者表示，他们根本不使用任务执行器。不过，总的来说，大部分前端开发人员都认识到了，使用此类工具可以很好地在 项目和团队之间保持一致。</p>
<p>最后一个问题是关于包和工作流管理。大部分受访者都可以熟练使用 NPM 和 Bower，相比之下，大部分受访者根本没有听说过 Ender。另外，Yeoman 在 Ashley 看来是最有用的工具之一，但只有 22.13% 的受访者可以熟练使用，他认为这个比例太低了。</p>
<p>对于上述结果，Ashley 认为，一方面，在前端开发领域，前端工具的使用率已经相当高。CSS 预处理\后处理工具、JavaScript 模块打包器或者任务执行器是前端开发人员工具库的重要组成部分；另一方面，JavaScript 测试工具的使用还比较少。</p>
<p>调查还会持续一段时间，Ashley 会在数周后再次修正结果。读者可以继续参与调查。</p>
<p><strong>文章转载自 开源中国社区[<a href="https://www.oschina.net" rel="external nofollow noreferrer">https://www.oschina.net</a>]</strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 10:56:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/css/" title="css">css</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%af%e5%bc%80%e5%8f%91/" title="前端开发">前端开发</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>前端框架现状调查：66% 受访者使用 Sass的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvK0e5p.html" rel="bookmark">细数2014年5个最流行的前端框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  现如今快要被各种各样的 CSS 前端框架给淹没了,真做的不错的其实也就那么几个.本文将对比五个我认为是现在最好的框架.这些框架每一个都有自己的优缺点和适用的应用类型, 你需要根据自己的需要来选择不同的框架. 例如,如果你的项目简单,就不需要使用一个复杂的框架.又或者,很多框架都是模块化的,你可以只是用你需要的模块,或者把不同框架的模块混到一起使用. 我将要介绍的这些框架的顺序与它们在 GitHub 的流行程度有关.自然,就是从最流行的 Bootstrap 说起. 提示:在接下的几周或者几个月			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRg0Bz.html" rel="bookmark">2015 年开源前端框架盘点 TOP 20</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2015年已经过去了,作为一个前端开发者,我觉得有必要把过去一年帮助过我或朋友们的优秀开源前端框架做个盘点,希望这些项目能够越来越好,帮助到更多的前端开发者们. 此榜单根据github上star数作为排名依据,一个人力量有限,如果收集有遗漏欢迎补充. 1.名称:Bootstrap 类别/语言:HTML.CSS.JavaScript 创建者: Twitter 人气:在Github上有91007 stars 描述:主流框架中毋庸置疑的老大,Bootstrap 是基于 HTML.CSS.JavaScr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAnqkM.html" rel="bookmark">《Web前端开发最佳实践》&mdash;&mdash;2&period;3　合理使用前端框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 合理使用前端框架 JavaScript本身是一种很强大的脚本语言,但是JavaScript固有的灵活性和由于使用多浏览器而产生的复杂性,在使用时并不能得心应手.此种状况下,JavaScript框架的重要性就显现出来了.JavaScript框架是JavaScript代码的工具集和函数集,一般包括DOM元素操作.DOM事件的封装.AJAX操作.UI控件封装以及一些功能算法的扩展等,如string.array等的功能扩展.好的JavaScript框架已经经过了大量的功能测试.性能测试,也经过了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAWnEM.html" rel="bookmark">使用前端框架Foundation 4简化响应式设计开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 Foundation是一套使用广泛的前端开发套件,可以帮助你快速的网站.最近ZURB发布了一个新版本的Foundation 4前端框架,能够有效的帮助你快速的开发响应式的网站. 和另外一个套知名的前端框架BootStrap类似,Foundation同样也提供了一套HTML/CSS的模板,可以帮助你快速的搭建网站基础,包括:布局,组件,字体,表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE69aoM.html" rel="bookmark">最流行的5个前端框架对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[引自葡萄城控件技术团队的博客]如今出现了大量的CSS前端框架,但真正优秀的框架只有少数几个. 本文将会比较其中五个最佳的框架.每个框架都有自己的优点和缺点,以及具体的应用领域,你可以根据自己的具体项目需求进行选择.此外,许多选项都是模块化的,允许你仅使用所需的组件,甚至可以混合使用来自不同框架的组件. 本文依据各个框架的GitHub流行度来顺序介绍. Bootstrap Bootstrap是目前可用框架中无可争议的领导者.其人气日益增长,你可以放心的选择这个框架,而不必担心项目会失败,因为具有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAjx2M.html" rel="bookmark">2017年最受欢迎的5个前端框架比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如今的 CSS 前端框架的发展非常迅猛,但是真正好的框架不多.在这篇文章中,我将对我认为当今最好的 5 个框架进行比较.每个框架都有它自己的强项和弱项,以及适合的领域,你需要根据这些特点来进行选择.例如,如果你的项目很简单,那就没有必要选择复杂的框架.此外,还有一些选项是模块化,这样你就可以根据需要选择所需的组件,或者来自不同框架混合的组件. 我选择的这些框架是根据它们在 Github 的受欢迎程度来的,而最受欢迎的毫无疑问是 Bootstrap. (注意:文章中的一些数据日新月异,例如 Git			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7g6yp.html" rel="bookmark">2014年5个最流行前端框架对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2014年5个最流行前端框架对比 当今时代众多CSS的前端框架纷涌而至,但真正的优秀的却屈指可数. 在这篇文章中我们将对我认为最好的五个框架进行比较,每个框架都有自己优缺点和特定的应用领域,这允许你根据特定项目的需求选择合适的框架.比如, 如果你的项目比较简单,你就不需要复杂的框架,此外,许多选项是模块化的,这允许你仅使用你需要的组件,或者混合使用不同框架的组件. 我们要讨论的框架都是基于其在github上的人气展示的,首先说最流行的,当然是:Bootstrap. (注意:下面的一些信息在未来的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNnj7oM.html" rel="bookmark">Puppet Labs发布2017年DevOps现状调查报告</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Puppet Labs 2017年DevOps现状调查报告显示,高效IT团队的部署频率越来越高而且恢复速度越来越快了.人们更注重自动化,借助松耦合的架构和团队来促进持续交付.转型领导和精益产品管理实践也是高效团队的关键驱动力. 全球大约有3200人参与了今年的调查(Puppet Labs每年都会进行一次),包括高管.开发人员和IT专家.认为自己在DevOps团队工作的受访者数量在过去三年里已经从16%增加到27%,这表明DevOps的应用增加.大多数受访者来自有100-499.500-1999和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkjmQz.html" rel="bookmark">最流行前端框架对比 Bootstrap&sol;Foundation by ZURB&sol;Semantic UI&sol;Pure by Yahoo&excl;&sol;UIkit by YOOtheme</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当今时代众多CSS的前端框架纷涌而至,但真正的优秀的却屈指可数. 在这篇文章中我们将对我认为最好的五个框架进行比较,每个框架都有自己优缺点和特定的应用领域,这允许你根据特定项目的需求选择合适的框架.比如, 如果你的项目比较简单,你就不需要复杂的框架,此外,许多选项是模块化的,这允许你仅使用你需要的组件,或者混合使用不同框架的组件. 我们要讨论的框架都是基于其在github上的人气展示的,首先说最流行的,当然是:Bootstrap. (注意:下面的一些信息在未来的几周和几月后就过时了,如:GitH			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5eXDp.html" rel="bookmark" class="title">数值计算&comma;利用梯形法和抛物线法计算圆周率</a>
					<div>
						公式pai=4*∫10dx/(1+x2) 把[0.1]分成10等份,用两中方法分别计算 =======================================================  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj4Emp.html" rel="bookmark" class="title">介绍&period;NET中的委派（一）</a>
					<div>
						介绍.NET中的委派(一) ----微软 .NET平台系列文章之四 回调函数 回调函数的确是至今为止最有用的编程机制之一.C运行时的qsort函数利用回调函数对数组元素进行排序.在Windows中,回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnO8kz.html" rel="bookmark" class="title">路由器安全设置小技巧</a>
					<div>
						VPN的应用非常广发,从接入到路由器,我们能够看到VPN的发展非常迅速,已经成为通信行业中很重要的部分.同样VPN路由器作为适用性很强的一种路由,其作用也是很重要的.虚拟专用网(VPN)是平衡Inte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnjgYz.html" rel="bookmark" class="title">清除IE恶意插件加快上网速度</a>
					<div>
						我们在上网冲浪的时候,很多网站需要安装插件,有时候由于安装的过多的IE插件,导致IE浏览器的开启与浏览速度变得很慢,很多用户都会怀疑自己安装了过多的IE插件导致,但这些插件该如何下载呢,下面是小编在电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlZXmb.html" rel="bookmark" class="title">激活火狐中的阅读模式</a>
					<div>
						  现在知名的网页浏览器中,火狐浏览器应该是最早加入阅读模式的,但是要想使用这项功能还需要激活它.首先在地址栏中输入命令&quot;about:config&quot;,按下回车键就会弹出一个设置的提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBVNqz.html" rel="bookmark" class="title">js动态改变select选择变更option的index值示例</a>
					<div>
						 今天删除多个select值的时候出现了问题,搞了半天原来是索引引起的(即删除的时候要从索引大的开始删,然后再 删除索引小的       document.getElementById(&quot;l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaXOQM.html" rel="bookmark" class="title">win8电脑中如何防止U盘传播病毒？</a>
					<div>
						  1.首先,我们需要返回到win8电脑的传统桌面位置,之后,我们同时按下键盘上的win+r快捷键打开电脑的运行窗口,之后,我们在打开的窗口中输入regedit并单击回车,这样就可以打开win8电脑的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7263Kp.html" rel="bookmark" class="title">win7使用IE浏览器播放优酷视频提示错误代码2002&sol;2003&sol;500的解决方法</a>
					<div>
						  方法一: 打开Internet选项,在常规选项卡,点击浏览历史记录,勾选Internet临时文件.缓存.垃圾.Cookie等,进行清除再重启IE浏览器. 方法二: 在Flash播放器上点击右键,打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBPKYz.html" rel="bookmark" class="title">windows安全警报怎么关闭</a>
					<div>
						  一.关闭安全警报服务 我们先来看看总是报安全警告的情况 1.首先,我们可以通过设置关闭安全警报服务,从而阻止了安全警报的提示出现.在桌面上开始菜单处,点击&quot;运行&quot;,然后在输入框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42DN1M.html" rel="bookmark" class="title">修改收藏夹路径</a>
					<div>
						  收藏夹是用户收藏网址的地方,为了避免由于系统原因导致收藏夹信息丢失的情况,可以将收藏夹的位置进行修改,不让收藏夹在C盘中保存,系统崩溃也不会将收藏夹丢失. 1.在注册表编辑器中依次打开HKEY_C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVKOmb.html" rel="bookmark" class="title">网站外链如何发挥最大作用</a>
					<div>
						一.吸引蜘蛛 大家都知道做外链就是为了吸引蜘蛛爬行帖子并且按照帖子的地址爬行到我们的网站,并且达到站内外文章的收录效果,时间长了排名就会上去,所以吸引蜘蛛我们不能马虎,在吸引蜘蛛这一块还是有一些门道的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NZg6z.html" rel="bookmark" class="title">Android非常有用的开源库介绍整理</a>
					<div>
						Android开源库 自己一直很喜欢Android开发,就如博客副标题一样,我想做个好的App. 在摸索过程中,GitHub上搜集了很多很棒的Android第三方库,推荐给在苦苦寻找的开发者,而且我会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kyElM.html" rel="bookmark" class="title">Linq之Expression初见</a>
					<div>
						目录 写在前面 系列文章 Expression 表达式树创建方式 一个例子 总结 写在前面 上篇文章介绍了扩展方法,这篇文章开始将陆续介绍在linq中使用最多的表达式树的相关概念,以概念及例子一一列出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVGw5b.html" rel="bookmark" class="title">Hadoop Shell命令</a>
					<div>
						本文讲的是Hadoop Shell命令,[IT168 资讯]调用文件系统(FS)Shell命令应使用 bin/hadoop fs 的形式. 所有的的FS shell命令使用URI路径作为参数.URI格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAXD3M.html" rel="bookmark" class="title">Exception has been thrown by the target of an invocation</a>
					<div>
						问题描述 .net2010在打开窗口的时候提示下列信息是什么原因.Exceptionhasbeenthrownbythetargetofaninvocation 解决方案 解决方案二:这只是说调用一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrwVaM.html" rel="bookmark" class="title">关于sql的问题&mdash;&mdash;sql未正确结束</a>
					<div>
						问题描述 关于sql的问题--sql未正确结束 update xfdjb s set s.transactor = (select t.fullname from xc_user t where t. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqQ5jz.html" rel="bookmark" class="title">iTerm，让你的Mac OS命令行也能丰富多彩</a>
					<div>
						今天要给大家介绍一个工具:iTerm.这次我们讲的和开发技术无关,只是一个工具.但虽然是一个工具,却能让你的功力提升一个层级.下面我们就来一看究竟.每一位开发者都难免要用到命令行,从 git 版本库操 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7Zg0M.html" rel="bookmark" class="title">Linux基础命令介绍四：文本编辑vim</a>
					<div>
						本文介绍vim(版本7.4)的一般用法. vim是功能强大的文本编辑器,是vi的增强版. vim [options] [file ..]  使用vim编辑一个文件的最常用命令就是: vim file  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD0wxz.html" rel="bookmark" class="title">CrossFTP一个专业级的多平台FTP服务器</a>
					<div>
						CrossFTP是一款强大便捷的多标签FTPhttp://www.aliyun.com/zixun/aggregation/5218.html&quot;&gt;客户端软件.采用类似资源管理器的界面设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7aGaz.html" rel="bookmark" class="title">stm32-STM32F4DISCOVERY串口怎么打开</a>
					<div>
						问题描述 STM32F4DISCOVERY串口怎么打开 STLINK驱动已经正确安装,在设备管理器中串行总线设备可以中可以找到,但是这个板子的串口怎么打开?设备管理器没有显示有端口啊,应该怎么做啊,大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBDBoz.html" rel="bookmark" class="title">如何更好的推广自己的网站</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 自己目前没做过几个网站, 但是对网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWqWEM.html" rel="bookmark" class="title">千万千瓦级巨型水电站相继开工 抽水蓄能电站建设全面发力</a>
					<div>
						水电是我国最主要的可再生能源,为保障能源供应发挥着重要作用.回首5年发展之路,一系列冲击世界前列的斐然成绩,在我国水电开发征途中绵延不绝. 我国水电工程技术居世界领先水平,具有规划.设计.施工.装备制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeO54M.html" rel="bookmark" class="title">当最难管理的律师遇上量化大数据</a>
					<div>
						当量化管理应用到律师管理中时,一定会遭遇到各种各样的异议和反对,特别是整个行情比较好,大家都有饭吃的时候,律师管理改革推行的难度会越大,这时,管理者的笃定和坚持就显得至关重要 按照业界的普遍观点,知识 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL4DaM.html" rel="bookmark" class="title">ASP&period;NET连接页面</a>
					<div>
						问题描述 我在一个窗体上有三个框架,当我点击顶部框架的超链接文字的时候,在左框架跟右框架同时显示页面,应该怎么实现呢?比如说我有main,left,right;超链接文字&quot;个人信息&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodg8DM.html" rel="bookmark" class="title">PostgreSQL 大实例的备份方案之一</a>
					<div>
						基于流复制的HA, 采样如下方案. https://github.com/digoal/PostgreSQL_HA_with_primary_standby_2vip 本文介绍一下, 在没有其他主机的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRaArp.html" rel="bookmark" class="title">Oracle  常用函数</a>
					<div>
						1.Oracle Least()函数 2.Oracle Greatest()函数 3.EXTRACT (datetime) 4.SUBSTR函数 5.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0n0RM.html" rel="bookmark" class="title">《能源地图》：阿里云数加MaxCompute轻松处理8000亿条气象数据</a>
					<div>
						免费开通大数据服务:https://www.aliyun.com/product/odps 十三五期间伴随能源互联网的建设,能源大数据及云计算能力长足发展,圈内诸多专家和组织陆续又开始讨论&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60xAYz.html" rel="bookmark" class="title">java开发web项目和现在流行的PHP，ruby，python比有什么优势？</a>
					<div>
						问题描述 我感觉没任何好处啊,无论从性能效率,开发速度,可利用资源,环境配置方面java就好像没任何优势而且这世界感觉就没多少大的互联网网站是java弄得,我就只知道一个taobao而已,据说国外更是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Ng1Vb.html" rel="bookmark" class="title">Android实战教程第五篇之一键锁屏应用&lowbar;Android</a>
					<div>
						Device Administration 对于这个应用,市场上很多,但是看一下评论就知道效果有多差了,因为99%一键锁屏应用没办法卸载.今天就开发一个小应用,实现轻松点击一键锁屏,同时支持卸载... ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDky4vp.html" rel="bookmark" class="title">Java的JSON格式转换库GSON的初步使用笔记&lowbar;java</a>
					<div>
						现在已经有一些能将Java对象转换成JSON的开源项目了.但是大多数项目都要求你在类文件中加入Java注解,而当你无法改动源代码的时候这是无法做到的.并且它们也不支持Java泛型.但是Gson却将这两 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
